<template>
 <div class="container">
  <div class="row">
    <div class="col-4 col-md-3 menu-left">
     <ul class="nav flex-column">
      <li class="nav-link" :class="{active}" @click="showList">List</li>
      <li class="nav-link" @click="showNew">New</li>
      <li class="nav-link" @click="isShowcom='search'">Search </li>
      <li class="nav-link" @click="isShowcom='edit'">Edit </li>
      
     </ul>
    </div>
    <div class="col-6 col-md-8 content">
      <component :is="isShowcom" :items="items">
      </component>
    </div>
  </div>
 </div>
</template>

<script>
import List from './List.vue';
import New from './New.vue';
export default {
  name: 'Home',
  mounted() {
    fetch('http://localhost:3000/blogs')
      .then( response => response.json())
      .then((data)=>{
        this.items = data
        console.log(this.items)
        console.log('mounted parent')
      })
  },
  data: function(){
    return {
      items:[],
      isShowcom:'list',
      active:false,
      }
  },
  components: {
    List,
    New
  },
  methods:{
  showList(){
    this.isShowcom='list'
    },
    showNew(){
    this.isShowcom='new'
    },
    showSearch(){
     this.isShowcom='search'
    },
    showEdit(){
      this.isShowcom='edit'
    }
  }
}
</script>
<style scoped>

/* logo */
.logo img{
  height: 100px;
  width: 100px;
}
/* menuleft */
.menu-left{
  /* border: 1px solid gray; */
  padding: 0px;
  color:black;
  text-align: center;
}
.menu-left ul li {
  border: 1px solid gray;
  display:block;
}
.menu-left ul li:hover{
  background: gray;
  color: white;
}
/* content */
.content{
  /* border: 0.5px solid gray; */

}
.title-list{
  font-size: 25px;
  font-weight: bold;
}
</style>
